package cassandra

import (
	cnsmc "git.loafle.net/commons_go/network_service_matcher/cassandra"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type CassandraHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *CassandraHealthCrawler) Name() string {
	return "CASSANDRA_HEALTH_CRAWLER"
}

func (c *CassandraHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &CassandraHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmc.NewMatcher())
	return c
}
