package dns

import (
	cnsmd "git.loafle.net/commons_go/network_service_matcher/dns"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type DNSHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *DNSHealthCrawler) Name() string {
	return "DNS_HEALTH_CRAWLER"
}

func (c *DNSHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &DNSHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmd.NewMatcher())
	return c
}
