package ftp

import (
	cnsmf "git.loafle.net/commons_go/network_service_matcher/ftp"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type FTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *FTPHealthCrawler) Name() string {
	return "FTP_HEALTH_CRAWLER"
}

func (c *FTPHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &FTPHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmf.NewMatcher())
	return c
}
