package http

import (
	cnsmh "git.loafle.net/commons_go/network_service_matcher/http"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type HTTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *HTTPHealthCrawler) Name() string {
	return "HTTP_HEALTH_CRAWLER"
}

func (c *HTTPHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &HTTPHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmh.NewMatcher())
	return c
}
