package imap

import (
	cnsmi "git.loafle.net/commons_go/network_service_matcher/imap"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type IMAPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *IMAPHealthCrawler) Name() string {
	return "IMAP_HEALTH_CRAWLER"
}

func (c *IMAPHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &IMAPHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmi.NewMatcher())
	return c
}
