package ldap

import (
	cnsml "git.loafle.net/commons_go/network_service_matcher/ldap"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type LDAPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *LDAPHealthCrawler) Name() string {
	return "LDAP_HEALTH_CRAWLER"
}

func (c *LDAPHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &LDAPHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsml.NewMatcher())
	return c
}
