package ldap

import (
	"encoding/json"
	"testing"

	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"github.com/stretchr/testify/assert"
)

func setConfig() crawler.Crawler {

	c := NewCrawler().(*LDAPHealthCrawler)
	config := &configM.Config{}
	config.Target = &configM.Target{}
	config.Target.Connection = &configM.Connection{
		IP:       "192.168.1.215",
		Port:     json.Number(389),
		PortType: "tcp",
		SSL:      false,
	}

	c.PutConfig("c", config)

	return c
}

func TestMatch(t *testing.T) {
	// test config
	c := setConfig()

	rss, err := c.Get("c")

	assert.Nil(t, err)
	assert.NotNil(t, rss)
}
