package mongodb

import (
	cnsmm "git.loafle.net/commons_go/network_service_matcher/mongodb"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type MongoDBHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *MongoDBHealthCrawler) Name() string {
	return "MONGODB_HEALTH_CRAWLER"
}

func (c *MongoDBHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &MongoDBHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmm.NewMatcher())
	return c
}
