package netbios

import (
	cnsmn "git.loafle.net/commons_go/network_service_matcher/netbios"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type NetBIOSHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *NetBIOSHealthCrawler) Name() string {
	return "NETBIOS_HEALTH_CRAWLER"
}

func (c *NetBIOSHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &NetBIOSHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmn.NewMatcher())
	return c
}
