package oracle

import (
	cnsmo "git.loafle.net/commons_go/network_service_matcher/oracle"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type OracleHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *OracleHealthCrawler) Name() string {
	return "ORACLE_HEALTH_CRAWLER"
}

func (c *OracleHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &OracleHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmo.NewMatcher())
	return c
}
