package pop

import (
	cnsmp "git.loafle.net/commons_go/network_service_matcher/pop"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type POPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *POPHealthCrawler) Name() string {
	return "POP_HEALTH_CRAWLER"
}

func (c *POPHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &POPHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmp.NewMatcher())
	return c
}
