package rmi

import (
	cnsmr "git.loafle.net/commons_go/network_service_matcher/rmi"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type RMIHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *RMIHealthCrawler) Name() string {
	return "RMI_HEALTH_CRAWLER"
}

func (c *RMIHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &RMIHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmr.NewMatcher())
	return c
}
