package smb

import (
	cnsms "git.loafle.net/commons_go/network_service_matcher/smb"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type SMBHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SMBHealthCrawler) Name() string {
	return "SMB_HEALTH_CRAWLER"
}

func (c *SMBHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &SMBHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
