package sqlserver

import (
	cnsms "git.loafle.net/commons_go/network_service_matcher/sqlserver"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type SQLServerHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SQLServerHealthCrawler) Name() string {
	return "SQLSERVER_HEALTH_CRAWLER"
}

func (c *SQLServerHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &SQLServerHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
