package telnet


import (
	cnsmt "git.loafle.net/commons_go/network_service_matcher/telnet"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type TelnetHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *TelnetHealthCrawler) Name() string {
	return "TELNET_HEALTH_CRAWLER"
}

func (c *TelnetHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &TelnetHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmt.NewMatcher())
	return c
}
