package wmi


import (
	cnsmw "git.loafle.net/commons_go/network_service_matcher/wmi"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/impl/health"
)

type WMIHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *WMIHealthCrawler) Name() string {
	return "WMI_HEALTH_CRAWLER"
}

func (c *WMIHealthCrawler) InternalGet(config *configM.Config) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &WMIHealthCrawler{}
	c.Internal = c
	c.SetMatcher(cnsmw.NewMatcher())
	return c
}
