package ssh

import (
	"encoding/json"
	"io/ioutil"
	"log"
	"testing"

	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler"
	"github.com/stretchr/testify/assert"
)

func setConfig() crawler.Crawler {
	config := &configM.Config{}
	data, err := ioutil.ReadFile("./SSHCrawler_test.json")
	if err != nil {
		log.Fatal(err)
	}
	err = json.Unmarshal(data, config)
	if err != nil {
		log.Fatal(err)
	}

	c := NewCrawler().(*SSHCrawler)
	c.PutConfig("c", config)

	return c
}

func TestMatch(t *testing.T) {
	// test config
	c := setConfig()

	rss, err := c.Get("c")

	assert.Nil(t, err)
	assert.NotNil(t, rss)
}
